/* This file is part of GNU epsilon, a functional language implementation

Copyright (C) 2002, 2003 Luca Saiu
Updated in 2006 by Luca Saiu

GNU epsilon is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published
by the Free Software Foundation; either version 2, or (at your
option) any later version.

GNU epsilon is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with epsilon; see the file COPYING.  If not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA. */


#ifndef COMMON_TEXT_H_
#define COMMON_TEXT_H_

/* For PACKAGE_NAME, PACKAGE_VERSION and PACKAGE_BUGREPORT */
#include "config.h"

/* These strings are used many times in the sources. */
#define VERSION_STRING PACKAGE_VERSION

#define COPYRIGHT_STRING "Copyright (C) 2002, 2003, 2004, 2005, 2006 Luca Saiu"

#define LICENSE_STRING   \
  PACKAGE_NAME \
  " is free software.\n" \
  "You may redistribute copies of it under the terms of the GNU General\n" \
  "Public License. There is NO warranty; not even for MERCHANTABILITY or\n" \
  "FITNESS FOR A PARTICULAR PURPOSE.\n" \
  "For more information about these matters, see the file named COPYING."

#define BUG_REPORTING_MESSAGE   \
  "Report bugs to " PACKAGE_BUGREPORT ". First, " \
  "please see the file BUGS."

#endif /* #ifndef COMMON_TEXT_H_ */
