(define (map function list)
  (if (null? list)
      '()
      (cons (function (car list))
            (map function (cdr list)))))

(define (reverse-tail-recursive xs acc)
  (if (null? xs)
      acc
      (reverse-tail-recursive (cdr xs) 
                              (cons (car xs) acc))))
(define (reverse xs)
  (reverse-tail-recursive xs '()))

(define (length xs)
  (if (null? xs)
      0
      (+ 1 (length (cdr xs)))))

(define (is-in? x xs)
  (cond ((null? xs)
         #f)
        ((equal? x (car xs))
         #t)
        (#t
         (is-in? x (cdr xs)))))

(define (index-of x xs)
  (cond ((null? xs)
         (display "index-of: x is not in xs")
         (exit -1))
        ((eq? x (car xs))
         0)
        (#t
         (+ 1 (index-of x (cdr xs))))))


(define (caar x) (car (car x)))
(define (cadr x) (car (cdr x)))
(define (cdar x) (cdr (car x)))
(define (cddr x) (cdr (cdr x)))
(define (caaar x) (car (car (car x))))
(define (caadr x) (car (car (cdr x))))
(define (cadar x) (car (cdr (car x))))
(define (caddr x) (car (cdr (cdr x))))
(define (cdaar x) (cdr (car (car x))))
(define (cdadr x) (cdr (car (cdr x))))
(define (cddar x) (cdr (cdr (car x))))
(define (cdddr x) (cdr (cdr (cdr x))))
(define (caaaar x) (car (car (car (car x)))))
(define (caaadr x) (car (car (car (cdr x)))))
(define (caadar x) (car (car (cdr (car x)))))
(define (caaddr x) (car (car (cdr (cdr x)))))
(define (cadaar x) (car (cdr (car (car x)))))
(define (cadadr x) (car (cdr (car (cdr x)))))
(define (caddar x) (car (cdr (cdr (car x)))))
(define (cadddr x) (car (cdr (cdr (cdr x)))))
(define (cdaaar x) (cdr (car (car (car x)))))
(define (cdaadr x) (cdr (car (car (cdr x)))))
(define (cdadar x) (cdr (car (cdr (car x)))))
(define (cdaddr x) (cdr (car (cdr (cdr x)))))
(define (cddaar x) (cdr (cdr (car (car x)))))
(define (cddadr x) (cdr (cdr (car (cdr x)))))
(define (cdddar x) (cdr (cdr (cdr (car x)))))
(define (cddddr x) (cdr (cdr (cdr (cdr x)))))

(define (not x)
  (if x #f #t))
